/*
 * Realisateurs.java, 10 sept. 2005
 * 
 * This file is part of FilmZ.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               Realisateurs.java
 * Author's email :     johan@x-tnd.be
 * Author's Website :   http://www.x-tnd.be/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

package be.xtnd.films.gui;

import be.xtnd.films.Realisateur;
import be.xtnd.gui.FilmzMain;
import be.xtnd.gui.Menus;


/**
 * @author Johan Cwiklinski
 * @version 1.1
 */
public class Realisateurs extends SimpleObjectWindow{
	/** Nom de la fenêtre de la liste des réalisateurs */
	public static final String LIST_NAME = "liste_realisateurs";
	/** Nom de la fenêtre d'ajout de réalisateur */ 
	public static final String NEW_NAME = "nouveau_realisateur";
	/** Nom de la fenêtre de modification de réalisateur */ 
	public static final String MODIF_NAME = "modifie_realisateur_";

	/** Constructeur par défaut */
	public Realisateurs(){
		super("directors", Menus.DIRECTORS_IMAGE, LIST_NAME, MODIF_NAME, NEW_NAME, FilmzMain.collection.isPrive()?Realisateur.RLIST_QUERY:Realisateur.LIST_QUERY);
	}
	
	protected void initObject(Integer id){
		if(id==null){
			object = new Realisateur();
		}else{
			object = new Realisateur(id);
		}
	}
	
	protected void ajout(Integer id){
		af.film.ajouteRealisateur(new Realisateur(id));
	}
	
	/**
	 * Construit la requête de recherche 
	 * @return requête
	 */
	public String constructQuery(){
		String table = FilmzMain.collection.isPrive()?Realisateur.RTABLE:Realisateur.TABLE;
		StringBuffer sb = new StringBuffer("SELECT "+Realisateur.PK+", "+Realisateur.VALUE+" FROM "+table);
		if(!textfield.getText().trim().equals("")){
			sb.append(" WHERE "+Realisateur.VALUE+" LIKE '%"+textfield.getText()+"%'");
		}
		String qry = new String();
		qry = sb.toString();
		return qry;
	}
}
